The Bank Statement Import object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

company string required
bank_account string required
bank string
import_file string
template_options string
status string

Default: Pending

template_warnings string
show_failed_logs boolean

Default: false

google_sheets_url string
reference_doctype string

Default: Bank Transaction

import_type string

Default: Insert New Records

submit_after_import boolean

Default: true

mute_emails boolean

Default: true

custom_delimiters boolean

Default: false

delimiter_options string

Default: ,;\t|

use_csv_sniffer boolean

Default: false

import_mt940_fromat boolean

Default: false

The Bank Statement Import object
{
  "id": "bank-statement-import_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "company": "Example Corp",
  "bank_account": "bank_account_example",
  "bank": "bank_example",
  "import_file": "import_file_example",
  "template_options": "template_options_example",
  "status": "Pending",
  "template_warnings": "template_warnings_example",
  "show_failed_logs": false,
  "google_sheets_url": "google_sheets_url_example",
  "reference_doctype": "Bank Transaction",
  "import_type": "Insert New Records",
  "submit_after_import": true,
  "mute_emails": true,
  "custom_delimiters": false,
  "delimiter_options": ",;\\t|",
  "use_csv_sniffer": false,
  "import_mt940_fromat": false
}
GET /api/accounts/bank-statement-import/{id}

Retrieve a bank statement import

Retrieves the details of an existing bank statement import. Supply the unique bank statement import ID that was returned from a previous request.

Path parameters

id string required

The identifier of the bank statement import to retrieve.

Returns

Returns the bank statement import object if a valid identifier was provided.

GET /api/accounts/bank-statement-import/{id}
curl https://api.overplane.dev/api/accounts/bank-statement-import/bank-statement-import_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "bank-statement-import_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "company": "Example Corp",
  "bank_account": "bank_account_example",
  "bank": "bank_example",
  "import_file": "import_file_example",
  "template_options": "template_options_example",
  "status": "Pending",
  "template_warnings": "template_warnings_example",
  "show_failed_logs": false,
  "google_sheets_url": "google_sheets_url_example",
  "reference_doctype": "Bank Transaction",
  "import_type": "Insert New Records",
  "submit_after_import": true,
  "mute_emails": true,
  "custom_delimiters": false,
  "delimiter_options": ",;\\t|",
  "use_csv_sniffer": false,
  "import_mt940_fromat": false
}
GET /api/accounts/bank-statement-import

List all bank statement imports

Returns a list of bank statement imports. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of bank statement import objects.

GET /api/accounts/bank-statement-import
curl https://api.overplane.dev/api/accounts/bank-statement-import \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "bank-statement-import_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "company": "Example Corp",
      "bank_account": "bank_account_example",
      "bank": "bank_example",
      "import_file": "import_file_example",
      "template_options": "template_options_example",
      "status": "Pending",
      "template_warnings": "template_warnings_example",
      "show_failed_logs": false,
      "google_sheets_url": "google_sheets_url_example",
      "reference_doctype": "Bank Transaction",
      "import_type": "Insert New Records",
      "submit_after_import": true,
      "mute_emails": true,
      "custom_delimiters": false,
      "delimiter_options": ",;\\t|",
      "use_csv_sniffer": false,
      "import_mt940_fromat": false
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/bank-statement-import

Create a bank statement import

Creates a new bank statement import object.

Body parameters

company string required
bank_account string required
bank string
import_file string
template_options string
status string

Default: Pending

template_warnings string
show_failed_logs boolean

Default: false

google_sheets_url string
reference_doctype string

Default: Bank Transaction

import_type string

Default: Insert New Records

submit_after_import boolean

Default: true

mute_emails boolean

Default: true

custom_delimiters boolean

Default: false

delimiter_options string

Default: ,;\t|

use_csv_sniffer boolean

Default: false

import_mt940_fromat boolean

Default: false

Returns

Returns the newly created bank statement import object if the call succeeded.

POST /api/accounts/bank-statement-import
curl https://api.overplane.dev/api/accounts/bank-statement-import \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"company":"Example Corp","bank_account":"bank_account_example"}'
Response
{
  "id": "bank-statement-import_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "company": "Example Corp",
  "bank_account": "bank_account_example",
  "bank": "bank_example",
  "import_file": "import_file_example",
  "template_options": "template_options_example",
  "status": "Pending",
  "template_warnings": "template_warnings_example",
  "show_failed_logs": false,
  "google_sheets_url": "google_sheets_url_example",
  "reference_doctype": "Bank Transaction",
  "import_type": "Insert New Records",
  "submit_after_import": true,
  "mute_emails": true,
  "custom_delimiters": false,
  "delimiter_options": ",;\\t|",
  "use_csv_sniffer": false,
  "import_mt940_fromat": false
}
PATCH /api/accounts/bank-statement-import/{id}

Update a bank statement import

Updates the specified bank statement import by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the bank statement import to update.

Body parameters

company string
bank_account string
bank string
import_file string
template_options string
status string

Default: Pending

template_warnings string
show_failed_logs boolean

Default: false

google_sheets_url string
reference_doctype string

Default: Bank Transaction

import_type string

Default: Insert New Records

submit_after_import boolean

Default: true

mute_emails boolean

Default: true

custom_delimiters boolean

Default: false

delimiter_options string

Default: ,;\t|

use_csv_sniffer boolean

Default: false

import_mt940_fromat boolean

Default: false

Returns

Returns the updated bank statement import object.

PATCH /api/accounts/bank-statement-import/{id}
curl https://api.overplane.dev/api/accounts/bank-statement-import/bank-statement-import_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"company":"Example Corp","bank_account":"bank_account_example"}'
Response
{
  "id": "bank-statement-import_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "company": "Example Corp",
  "bank_account": "bank_account_example",
  "bank": "bank_example",
  "import_file": "import_file_example",
  "template_options": "template_options_example",
  "status": "Pending",
  "template_warnings": "template_warnings_example",
  "show_failed_logs": false,
  "google_sheets_url": "google_sheets_url_example",
  "reference_doctype": "Bank Transaction",
  "import_type": "Insert New Records",
  "submit_after_import": true,
  "mute_emails": true,
  "custom_delimiters": false,
  "delimiter_options": ",;\\t|",
  "use_csv_sniffer": false,
  "import_mt940_fromat": false
}
DELETE /api/accounts/bank-statement-import/{id}

Delete a bank statement import

Permanently deletes a bank statement import. This cannot be undone.

Path parameters

id string required

The identifier of the bank statement import to delete.

Returns

Returns a confirmation that the bank statement import has been deleted.

DELETE /api/accounts/bank-statement-import/{id}
curl https://api.overplane.dev/api/accounts/bank-statement-import/bank-statement-import_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "bank-statement-import_abc123",
  "deleted": true
}